Bug 1428713 - root-config:: command not found quite late during the build
Summary: root-config:: command not found quite late during the build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: root
Version: 26
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2017-03-03 08:51 UTC by Dan Horák
Modified: 2017-04-01 16:54 UTC (History)
2 users (show)

Fixed In Version: root-6.08.06-2.fc24 root-6.08.06-2.fc25 root-6.08.06-2.el7 root-6.08.06-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-26 07:49:12 UTC
Type: Bug


Attachments (Terms of Use)
build.log (6.57 MB, text/plain)
2017-03-03 08:51 UTC, Dan Horák
no flags Details

Description Dan Horák 2017-03-03 08:51:54 UTC
Created attachment 1259428 [details]
build.log

Seems we can have root built on s390x, but it fails quite late, after/during the install phase with

...
+ pushd documentation/doxygen
~/build/BUILD/root-6.08.04/documentation/doxygen ~/build/BUILD/root-6.08.04
+ ln -s ../../files files
+ ROOTIGNOREPREFIX=1
+ PATH=/builddir/build/BUILD/root-6.08.04/documentation/doxygen/../../builddir/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin
+ ROOTSYS=/builddir/build/BUILD/root-6.08.04/documentation/doxygen/../../builddir
+ LD_LIBRARY_PATH=/builddir/build/BUILD/root-6.08.04/documentation/doxygen/../../builddir/lib
+ PYTHONPATH=/builddir/build/BUILD/root-6.08.04/documentation/doxygen/../../builddir/lib
+ python ../../tutorials/pyroot/hsimple.py
hsimple   : Real Time =   2.48 seconds Cpu Time =   0.25 seconds
+ ROOTIGNOREPREFIX=1
+ PATH=/builddir/build/BUILD/root-6.08.04/documentation/doxygen/../../builddir/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin
+ ROOTSYS=/builddir/build/BUILD/root-6.08.04/documentation/doxygen/../../builddir
+ LD_LIBRARY_PATH=/builddir/build/BUILD/root-6.08.04/documentation/doxygen/../../builddir/lib
+ PYTHONPATH=/builddir/build/BUILD/root-6.08.04/documentation/doxygen/../../builddir/lib
+ make DOXYGEN_OUTPUT_DIRECTORY=/builddir/build/BUILD/root-6.08.04/documentation/doxygen/doc
`root-config --cxx` -o filter filter.cxx -std=c++11
/bin/sh: root-config:: command not found
make: *** [Makefile:22: filter] Error 127

for full build.log see attachment, the koji task is https://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2510059

Version-Release number of selected component (if applicable):
root-6.08.04-1.fc26
but I will try the latest too

Comment 1 Fedora Update System 2017-03-10 06:15:35 UTC
root-6.08.06-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-829416a358

Comment 2 Fedora Update System 2017-03-10 06:15:43 UTC
root-6.08.06-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5e388d7f56

Comment 3 Fedora Update System 2017-03-10 06:15:48 UTC
root-6.08.06-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-593821d07b

Comment 4 Fedora Update System 2017-03-10 06:15:53 UTC
root-6.08.06-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9324efdb9c

Comment 5 Fedora Update System 2017-03-11 00:21:47 UTC
root-6.08.06-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9324efdb9c

Comment 6 Fedora Update System 2017-03-11 12:49:59 UTC
root-6.08.06-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-593821d07b

Comment 7 Fedora Update System 2017-03-11 13:53:48 UTC
root-6.08.06-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5e388d7f56

Comment 8 Fedora Update System 2017-03-11 14:26:23 UTC
root-6.08.06-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-829416a358

Comment 9 Fedora Update System 2017-03-16 18:01:39 UTC
root-6.08.06-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9324efdb9c

Comment 10 Fedora Update System 2017-03-16 18:04:13 UTC
root-6.08.06-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-829416a358

Comment 11 Fedora Update System 2017-03-16 18:05:42 UTC
root-6.08.06-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5e388d7f56

Comment 12 Fedora Update System 2017-03-16 18:06:45 UTC
root-6.08.06-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-593821d07b

Comment 13 Fedora Update System 2017-03-17 02:18:58 UTC
root-6.08.06-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9324efdb9c

Comment 14 Fedora Update System 2017-03-17 20:24:26 UTC
root-6.08.06-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5e388d7f56

Comment 15 Fedora Update System 2017-03-17 20:25:45 UTC
root-6.08.06-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-829416a358

Comment 16 Fedora Update System 2017-03-17 20:47:57 UTC
root-6.08.06-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-593821d07b

Comment 17 Fedora Update System 2017-03-26 07:49:12 UTC
root-6.08.06-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-03-26 08:19:14 UTC
root-6.08.06-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-04-01 15:48:50 UTC
root-6.08.06-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-04-01 16:54:42 UTC
root-6.08.06-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.